summaryrefslogtreecommitdiffstats
path: root/abs/core/fbsplash/fbsplash.install
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/fbsplash/fbsplash.install')
-rw-r--r--abs/core/fbsplash/fbsplash.install33
1 files changed, 33 insertions, 0 deletions
diff --git a/abs/core/fbsplash/fbsplash.install b/abs/core/fbsplash/fbsplash.install
new file mode 100644
index 0000000..2899857
--- /dev/null
+++ b/abs/core/fbsplash/fbsplash.install
@@ -0,0 +1,33 @@
+
+post_install() {
+ echo ">"
+ echo "> ATTENTION!!!:"
+ echo "----------------------------------------------"
+ echo "> fbsplash has been rewritten and no longer depends "
+ echo "> on using a special initscripts. "
+ echo "> Please read http://wiki.archlinux.org/fbsplash "
+ echo "> for more details on the changes. "
+ echo "----------------------------------------------"
+ if ! [ -e /etc/conf.d/fbsplash.bootsteps ]; then
+ echo ""
+ echo "Creating step count files..."
+ echo "Note: The first boot's percentage will be wrong. "
+ echo "The scripts will update with the right steps after first boot"
+ echo ""
+ touch /etc/conf.d/fbsplash.bootsteps
+ touch /etc/conf.d/fbsplash.shutdownsteps
+ echo 25 > /etc/conf.d/fbsplash.bootsteps
+ echo 20 > /etc/conf.d/fbsplash.shutdownsteps
+ fi
+ echo 20 > /etc/conf.d/fbsplash.shutdownsteps
+}
+
+post_upgrade() {
+ post_install
+}
+
+op=$1
+shift
+$op $*
+
+#EOF